libdevmapper-devel-1.02.154-1.1.mga7.i586.rpm


Advertisement

Description

libdevmapper-devel - Device mapper development library

Property Value
Distribution Mageia 7
Repository Mageia Core Updates i586
Package filename libdevmapper-devel-1.02.154-1.1.mga7.i586.rpm
Package name libdevmapper-devel
Package version 1.02.154
Package release 1.1.mga7
Package architecture i586
Package type rpm
Category Development/C
Homepage http://sources.redhat.com/lvm2/
License GPLv2 and LGPL2.1
Maintainer -
Download size 39.07 KB
Installed size 132.23 KB
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.
This package contains the header files and development libraries
for building programs which use device-mapper.

Alternatives

Package Version Architecture Repository
libdevmapper-devel-1.02.154-1.mga7.i586.rpm 1.02.154 i586 Mageia Core
libdevmapper-devel - - -

Requires

Name Value
devel(libm) -
devel(libudev) -
libdevmapper1.02 = 1.02.154-1.1.mga7
pkgconfig -
pkgconfig(libudev) -

Provides

Name Value
devel(libdevmapper) -
device-mapper-devel = 1.02.154-1.1.mga7
libdevmapper-devel = 1.02.154-1.1.mga7
libdevmapper-devel(x86-32) = 1.02.154-1.1.mga7
pkgconfig(devmapper) = 1.02.154

Conflicts

Name Value
device-mapper-devel < 1.02.154-1.1.mga7

Obsoletes

Name Value
libdevmapper1.02-devel -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libdevmapper-devel-1.02.154-1.1.mga7.i586.rpm
Source Package lvm2-2.02.183-1.1.mga7.src.rpm

Install Howto

  1. Enable the repository in Software Management
  2. Install libdevmapper-devel rpm package:
    # dnf install libdevmapper-devel

Files

Path
/usr/include/libdevmapper.h
/usr/lib/libdevmapper.so
/usr/lib/pkgconfig/devmapper.pc

Changelog

2019-07-04 - tmb <tmb> 2.02.183-1.1.mga7
+ Revision: 1418572
- lvm2 must require dmsetup
2018-12-29 - luigiwalser <luigiwalser> 2.02.183-1.mga7
+ Revision: 1345892
- fix patches 1 and 3
- remove patch 2 (fixed upstream)
- update to 2.02.183
- dm is now 1.02.154
2018-09-03 - tv <tv> 2.02.168-4.mga7
+ Revision: 1256666
- fix deps: systemd -> systemd-units
2017-12-30 - ngompa <ngompa> 2.02.168-3.mga7
+ Revision: 1188127
- Ensure systemd macros are available
2017-12-30 - ngompa <ngompa> 2.02.168-2.mga7
+ Revision: 1188046
- Add and enable missing systemd components

See Also

Package Description
libdevmapper-event-devel-1.02.154-1.1.mga7.i586.rpm Device mapper event development library
libdevmapper-event1.02-1.02.154-1.1.mga7.i586.rpm Device mapper event library
libdevmapper1.02-1.02.154-1.1.mga7.i586.rpm Device mapper library
libdri-drivers-19.1.2-1.mga7.i586.rpm Mesa DRI drivers
libdri-drivers-19.1.4-1.mga7.i586.rpm Mesa DRI drivers
libdri-drivers-19.1.5-2.mga7.i586.rpm Mesa DRI drivers
libdri-drivers-19.2.1-1.mga7.i586.rpm Mesa DRI drivers
libdrm-common-2.4.99-3.mga7.i586.rpm Common files for the userspace interface to kernel DRM services
libdrm-devel-2.4.99-3.mga7.i586.rpm Direct Rendering Manager development package
libdrm2-2.4.99-3.mga7.i586.rpm Userspace interface to kernel DRM services
libdrm_amdgpu1-2.4.99-3.mga7.i586.rpm Shared library for AMDGPU kernel DRM services
libdrm_intel1-2.4.99-3.mga7.i586.rpm Shared library for Intel kernel DRM services
libdrm_nouveau2-2.4.99-3.mga7.i586.rpm Shared library for Nouveau kernel DRM services
libdrm_radeon1-2.4.99-3.mga7.i586.rpm Shared library for Radeon kernel DRM services
libecpg11_6-11.4-1.mga7.i586.rpm Shared library libecpg for PostgreSQL
Advertisement
Advertisement